package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.WorkOrderFj;

/**
 * 工单_附件Mapper接口
 * 
 * @author ruoyi
 * @date 2025-05-12
 */
public interface WorkOrderFjMapper 
{
    /**
     * 查询工单_附件
     * 
     * @param id 工单_附件主键
     * @return 工单_附件
     */
    public WorkOrderFj selectWorkOrderFjById(Long id);

    /**
     * 查询工单_附件列表
     * 
     * @param workOrderFj 工单_附件
     * @return 工单_附件集合
     */
    public List<WorkOrderFj> selectWorkOrderFjList(WorkOrderFj workOrderFj);

    /**
     * 新增工单_附件
     * 
     * @param workOrderFj 工单_附件
     * @return 结果
     */
    public int insertWorkOrderFj(WorkOrderFj workOrderFj);

    /**
     * 修改工单_附件
     * 
     * @param workOrderFj 工单_附件
     * @return 结果
     */
    public int updateWorkOrderFj(WorkOrderFj workOrderFj);

    /**
     * 删除工单_附件
     * 
     * @param id 工单_附件主键
     * @return 结果
     */
    public int deleteWorkOrderFjById(Long id);

    /**
     * 批量删除工单_附件
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteWorkOrderFjByIds(Long[] ids);

    void deleteWorkOrderFj(WorkOrderFj workOrderFj);
}
